Subject: [PATCH] New variable 'bookmark-bmenu-type-column-width'
From: Ship Mints <[email-masked]>
To: [email-masked]
Date: Sat, 25 Jan 2025 08:45:53 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

*** New variable 'bookmark-bmenu-type-column-width'.

This variable allows a user to control the width of the type column
on the bookmark menu 'bookmark-bmenu-list'. The default value is 8
which is backwards compatible.

I marked this new variable as of 31.1 but could also be for 30.2.

Rationale: In one package I co-maintain, we have custom bookmark handlers
with appropriate properties set. The limit of 8 characters for display in
the bookmark menu can lead to cumbersome naming for handler abbreviations.

-Stephane